<template>
	<v-dialog v-model="isOpen" max-width="50em" content-class="add-stratification-dialog">
		<template v-slot:activator="{ on, attrs }">
			<slot :on="on" :attrs="attrs"></slot>
		</template>

		<v-card>
			<v-toolbar color="grey lighten-2" flat>
				<v-toolbar-title> Add Stratification </v-toolbar-title>
			</v-toolbar>

			<v-divider />

			<v-card-text class="mt-5">
				<p>
					Stratification is a paid service. Please contact
					<a :href="`mailto:info@soilstack.io`">info@soilstack.io</a> to get started. A SoilStack staff member will
					contact you to set up a stratification process to match your project needs. Stratification uses public data
					about a field to optimize sampling locations.
				</p>
				<p>Check out the links below for more information about:</p>
				<ul class="space-y-2">
					<li v-for="[text, url] in links" :key="text">
						<a :href="url" target="_blank">
							{{ text }}
							<v-icon color="blue darken-2" x-small>mdi-open-in-new</v-icon>
						</a>
					</li>
				</ul>
			</v-card-text>

			<v-divider />

			<v-card-actions class="d-flex flex-wrap justify-end">
				<v-btn text rounded @click="isOpen = false"> Close </v-btn>
			</v-card-actions>
		</v-card>
	</v-dialog>
</template>

<script lang="ts">
import { defineComponent, ref, watch } from '@vue/composition-api';

export default defineComponent({
	emits: ['open', 'close'],
	setup(_, { emit }) {
		const isOpen = ref(false);
		const links = [
			['Costs and timeline', 'https://our-sci.gitlab.io/software/soilstack-tutorials/start_stratification/'],
			['Stratification Settings', 'https://our-sci.gitlab.io/software/soilstack-tutorials/stratification_settings/'],
			['Stratification Process', 'https://our-sci.gitlab.io/software/soilstack-tutorials/stratification_process/'],
		];

		watch(isOpen, (val) => {
			emit(val ? 'open' : 'close');
		});

		return {
			isOpen,
			links,
		};
	},
});
</script>

<style scoped>
.add-stratification-dialog .space-y-2 > * + * {
	margin-top: 8px;
}
</style>
